/* || General setup */

html, body {
  margin: 0;
  padding: 0;
}
/**
*::-webkit-scrollbar {
  width: auto;
}

*::-webkit-scrollbar-track {
  background: orange;
}

*::-webkit-scrollbar-thumb {
  background-color: blue;
  border-radius: 20px;
  border: 3px solid orange;
}
**/
html {
  font-size: 12px;
  background-color: #a9a9a9;
}

body {
  width: 70%;
  margin: 0 auto;
  height: 436px;
  overflow: auto;
}

/* || typography */

h1, h2, h3, h4, h5 {
  font-family: 'Sonsie One', cursive;
  color: #2a2a2a;
}

p, input, li {
  font-family: 'Open Sans Condensed', sans-serif;
  color: #2a2a2a;
}

table {
    font-size: 1.6rem;
    font-family: 'Open Sans Condensed', sans-serif;
    border: 2px solid red;
}

table th {
  font-weight: bold;
  border: none;
}

h1 {
  font-size: 4rem;
  text-align: center;
  color: white;
  text-shadow: 2px 2px 10px black;
}

h2 {
  font-size: 3rem;
  text-align: center;
}

h3 {
  font-size: 2.8rem;
}

h4 {
  font-size: 2.4rem;
}

h5 {
  font-size: 2.2rem;
}

p, li {
  font-size: 1.6rem;
  line-height: 1.5;
}

/* || header layout */

nav, article, aside, footer {
  background-color: white;
  padding: 1%;
}

nav {
  height: 50px;
  background-color: #ff80ff;
  display: flex;
  margin-bottom: 10px;
}

nav ul {
  padding: 0;
  list-style-type: none;
  flex: 2;
  display: flex;
}

nav li {
  display: inline;
  text-align: center;
  flex: 1;
}

nav a {
  display: inline-block;
  font-size: 2rem;
  text-transform: uppercase;
  text-decoration: none;
  color: black;
}

nav form {
  flex: 1;
  display: flex;
  align-items: center;
  height: 100%;
  padding: 0 2em;
}

input {
  font-size: 1.6rem;
  height: 32px;
}

input[type="search"] {
  flex: 3;
}

input[type="submit"] {
  flex: 1;
  margin-left: 1rem;
  background: #333;
  border: 0;
  color: white;
}
pre {
    margin-left: 10px;
    padding: 5px;
    background-color: #DDDDDD;
    border-left: 5px solid #1C1C1C;
}

.warning {
    margin-left: 10px;
    padding: 5px;
    background-color: #FFCCCC; 
    border-left: 5px solid #FF0000;
}
.regle {
    margin-left: 10px;
    padding: 5px;
    background-color: #FFFFCC; 
    border-left: 5px solid #CC6600;
}

/* || main layout */

main {
  display: flex;
}

article {
  flex: 4;
}

dl {
    font-size: 1.6rem;
    font-family: inherit;
}
dt {
    font-weight: bold;
}

    
aside {
  flex: 1;
  margin-left: 10px;
  background-color: #ff80ff;
}

aside h2 {
    text-align: left;
    font-size: 2rem;
}
aside li {
  padding-bottom: 2px;
  font-size: 1.6rem;
}

footer {
  margin-top: 10px;
}

.scroller {
  width: 100%;
  height: 480px;
  overflow: auto;
  overflow-y: scroll;
}
.scroller-barre {
  width: 100%;
  height: 240px;
  overflow:auto;
  overflow-y: scroll;
}